[arch-commits] Commit in flatpak/repos (6 files)

Jan Steffens heftig at archlinux.org
Tue Sep 5 20:11:02 UTC 2017


    Date: Tuesday, September 5, 2017 @ 20:11:01
  Author: heftig
Revision: 304718

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  flatpak/repos/testing-i686/
  flatpak/repos/testing-i686/PKGBUILD
    (from rev 304717, flatpak/trunk/PKGBUILD)
  flatpak/repos/testing-i686/flatpak.install
    (from rev 304717, flatpak/trunk/flatpak.install)
  flatpak/repos/testing-x86_64/
  flatpak/repos/testing-x86_64/PKGBUILD
    (from rev 304717, flatpak/trunk/PKGBUILD)
  flatpak/repos/testing-x86_64/flatpak.install
    (from rev 304717, flatpak/trunk/flatpak.install)

--------------------------------+
 testing-i686/PKGBUILD          |   79 +++++++++++++++++++++++++++++++++++++++
 testing-i686/flatpak.install   |   11 +++++
 testing-x86_64/PKGBUILD        |   79 +++++++++++++++++++++++++++++++++++++++
 testing-x86_64/flatpak.install |   11 +++++
 4 files changed, 180 insertions(+)

Copied: flatpak/repos/testing-i686/PKGBUILD (from rev 304717, flatpak/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2017-09-05 20:11:01 UTC (rev 304718)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.9.10
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+         python bubblewrap)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+install=flatpak.install
+replaces=('flatpak<0.9.10')
+_commit=52aab929fb4f261f2d7995190adfad167d76589a  # tags/0.9.10^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+        "git+https://github.com/projectatomic/bubblewrap"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --enable-gtk-doc \
+    --with-system-bubblewrap \
+    --with-priv-mode=setuid \
+    --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  depends+=(xdg-desktop-portal)
+
+  cd $pkgname
+
+  make DESTDIR="$pkgdir" install
+
+  # Fixup mode to match polkit
+  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}

Copied: flatpak/repos/testing-i686/flatpak.install (from rev 304717, flatpak/trunk/flatpak.install)
===================================================================
--- testing-i686/flatpak.install	                        (rev 0)
+++ testing-i686/flatpak.install	2017-09-05 20:11:01 UTC (rev 304718)
@@ -0,0 +1,11 @@
+post_install() {
+  post_upgrade $1 0
+}
+
+post_upgrade() {
+  if (( $(vercmp $2 0.6.1-3) < 0 )); then
+    # Generate initial /var/lib/flatpak/repo; must be present
+    # before non-root flatpak will try polkit auth
+    flatpak remote-list
+  fi
+}

Copied: flatpak/repos/testing-x86_64/PKGBUILD (from rev 304717, flatpak/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2017-09-05 20:11:01 UTC (rev 304718)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.9.10
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+         python bubblewrap)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+install=flatpak.install
+replaces=('flatpak<0.9.10')
+_commit=52aab929fb4f261f2d7995190adfad167d76589a  # tags/0.9.10^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+        "git+https://github.com/projectatomic/bubblewrap"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --enable-gtk-doc \
+    --with-system-bubblewrap \
+    --with-priv-mode=setuid \
+    --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  depends+=(xdg-desktop-portal)
+
+  cd $pkgname
+
+  make DESTDIR="$pkgdir" install
+
+  # Fixup mode to match polkit
+  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}

Copied: flatpak/repos/testing-x86_64/flatpak.install (from rev 304717, flatpak/trunk/flatpak.install)
===================================================================
--- testing-x86_64/flatpak.install	                        (rev 0)
+++ testing-x86_64/flatpak.install	2017-09-05 20:11:01 UTC (rev 304718)
@@ -0,0 +1,11 @@
+post_install() {
+  post_upgrade $1 0
+}
+
+post_upgrade() {
+  if (( $(vercmp $2 0.6.1-3) < 0 )); then
+    # Generate initial /var/lib/flatpak/repo; must be present
+    # before non-root flatpak will try polkit auth
+    flatpak remote-list
+  fi
+}



More information about the arch-commits mailing list